package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 险种表
 * @TableName t_insurance_type
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_insurance_type")
@Tag(name = "险种表")
public class TInsuranceType extends BaseEntity {
    /**
     * 险种id
     */
    private Long id;

    /**
     * 保险名称
     */
    private String name;

    /**
     * 保险公司主键ID
     */
    private Long insuranceCompanyId;

    /**
     * 收款单位名称
     */
    private String receiptUnitName;

    /**
     * 收款银行名称
     */
    private String bankName;

    /**
     * 收款银行账号
     */
    private String bankNo;

    /**
     * 删除标志(0：未删除，1：删除)
     */
    private Integer deleteFlag;

}