package com.yifu.cloud.plus.v1.yifu.insurances.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yifu.cloud.plus.v1.yifu.insurances.entity.TInsuranceCompany;
import com.yifu.cloud.plus.v1.yifu.insurances.mapper.TInsuranceCompanyMapper;
import com.yifu.cloud.plus.v1.yifu.insurances.service.TInsuranceCompanyService;
import org.springframework.stereotype.Service;

/**
* @author Administrator
* @description 针对表【t_insurance_company(保险公司表)】的数据库操作Service实现
* @createDate 2022-07-18 17:19:09
*/
@Service
public class TInsuranceCompanyServiceImpl extends ServiceImpl<TInsuranceCompanyMapper, TInsuranceCompany> implements TInsuranceCompanyService {

	@Override
	public IPage<TInsuranceCompany> pageDiy(Page page, TInsuranceCompany insuranceCompany) {
		LambdaQueryWrapper<TInsuranceCompany> wrapper = new LambdaQueryWrapper<>();
		wrapper.orderByDesc(TInsuranceCompany::getCreateTime);
		return this.baseMapper.selectPage(page,wrapper);
	}
}
