package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 保险公司表
 *
 * @author zhaji
 * @return {@link null}
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_insurance_company")
@Tag(name = "保险公司表")
public class TInsuranceCompany extends BaseEntity {
    /**
     * 保险公司id
     */
    private Long id;

    /**
     * 保险公司名称
     */
    private String companyName;

    /**
     * 保险公司地址
     */
    private String companyAddress;

    /**
     * 对接人
     */
    private String companyDocking;

    /**
     * 删除标志(0：未删除，1：删除)
     */
    private Integer deleteFlag;

}