package com.yifu.cloud.plus.v1.yifu.insurances.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.yifu.cloud.plus.v1.yifu.common.mybatis.base.BaseEntity;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 费率表
 * @TableName t_insurance_type_rate
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("t_insurance_type_rate")
@Tag(name = "费率表")
public class TInsuranceTypeRate extends BaseEntity {
    /**
     * 费率id
     */
    private String id;

    /**
     * 险种ID
     */
    private String insuranceTypeId;

    /**
     * 月数
     */
    private Integer month;

    /**
     * 费率
     */
    private BigDecimal rate;

}